---
layout: ../../../layouts/DocsLayout.astro
title: Arrays
---
import Code from "../../../components/Code.astro"

# Arrays

Use square brackets as usual.

## Usage

<Code thpcode={`
val fruits = ["apple", "banana", "cherry"]
val apple = fruits[0]

print(apple)  // apple


var numbers = [0, 1, 2, 3]

numbers[3] = 5

print(numbers[3])  // 5
`} />


## Type signature


<Code thpcode={`
Array[String]
Array[Int]
`} />

The Array signature __requires__ the word `Array`.
There is no `Int[]` or `[Int]` signature, since that would cause
problems with the language's grammar.




